// /redux/thunks/getAnalogInputsThunk.ts
import { createAsyncThunk } from "@reduxjs/toolkit";
import { fetchAnalogInputsService } from "@/services/fetchAnalogInputsService";
import { setAnalogInputs } from "@/redux/slices/analogInputs/analogInputsSlice";

/**
 * Holt die analogen Eingänge von der API und speichert sie in Redux.
 */
export const getAnalogInputsThunk = createAsyncThunk(
  "analogeInputs/fetchAnalogInputs",
  async (_, { dispatch }) => {
    if (typeof window === "undefined") return; // Server-Side Execution blockieren
    try {
      const data = await fetchAnalogInputsService();
      //console.log("📡 Analoge Eingänge geladen:", data);
      if (data) {
        dispatch(setAnalogInputs(data)); // ✅ Redux mit API-Daten füllen
      }
    } catch (error) {
      console.error("❌ Fehler beim Laden der analogen Eingänge:", error);
    }
  }
);
